<?php

require 'php-sdk/src/facebook.php';

// Create our Application instance.
$facebook = new Facebook(array(
  'appId'  => '100889139983069',
  'secret' => '1aa3eda2d4984aadcae8706eabdaa32c',
  'cookie' => true,
  'domain' => 'keito.me',
));

// We may or may not have this data based on a $_GET or $_COOKIE based session.
//
// If we get a session here, it means we found a correctly signed session using
// the Application Secret only Facebook and the Application know. We dont know
// if it is still valid until we make an API call using the session. A session
// can become invalid if it has already expired (should not be getting the
// session back in this case) or if the user logged out of Facebook.
$session = $facebook->getSession();

$me = null;
// Session based API call.
if ($session) {
  try {
    $uid = $facebook->getUser();
    $me = $facebook->api('/me');
  } catch (FacebookApiException $e) {
    error_log($e);
  }
}

// login or logout url will be needed depending on current user state.
if ($me) {
  $logoutUrl = $facebook->getLogoutUrl();
} else {
  $loginUrl = $facebook->getLoginUrl(array(
    'req_perms' => 'user_location',
  ));
}

?>
<!DOCTYPE html>
<html>
  <head>
    <title>Example 2</title>
  </head>
  <body>
    <h1>Welcome to my Guestbook</h1>
    <?php if ($me): ?>
    <a href="<?php echo $logoutUrl; ?>">Logout</a>
    <?php else: ?>
    <a href="<?php echo $loginUrl; ?>">Login</a>
    <?php endif ?>

    <?php if ($me): ?>

    <h3>You</h3>
    <img src="https://graph.facebook.com/<?php echo $uid; ?>/picture">
    <?php echo $me['name']; ?>

    <h3>Your User Object</h3>
    <pre><?php print_r($me); ?></pre>
    <?php
    echo "You live in ".$me['location']['name']."!";
    ?>
<?php else: ?>
    <strong><em>You are not Connected.</em></strong>
    <?php endif ?>
  </body>
</html>
