<?php
// This is just part of the hand-waving. You would usually want to get this from
// your own local database.
$posts_data_from_database = array(
  array(
    'id' => 'dmalan',
    'name' => 'David J. Malan',
    'message' => 'O hai. This is CS50.',
  ),
  array(
    'id' => 'keito',
    'name' => 'Keito Uchiyama',
    'message' => 'Thank you for coming to the seminar.',
  ),
  array(
    'id' => 'cansu.aydede',
    'name' => 'Cansu Aydede',
    'message' => 'I am teh hed TF. kthxbai.',
  ),
);

require 'php-sdk/src/facebook.php';

// Create our Application instance.
$facebook = new Facebook(array(
  'appId'  => '100889139983069',
  'secret' => '1aa3eda2d4984aadcae8706eabdaa32c',
  'cookie' => true,
  'domain' => 'keito.me',
));

// We may or may not have this data based on a $_GET or $_COOKIE based session.
//
// If we get a session here, it means we found a correctly signed session using
// the Application Secret only Facebook and the Application know. We dont know
// if it is still valid until we make an API call using the session. A session
// can become invalid if it has already expired (should not be getting the
// session back in this case) or if the user logged out of Facebook.
$session = $facebook->getSession();

$me = null;
// Session based API call.
if ($session) {
  try {
    $uid = $facebook->getUser();
    $me = $facebook->api('/me');
  } catch (FacebookApiException $e) {
    error_log($e);
  }
}

// login or logout url will be needed depending on current user state.
if ($me) {
  $logoutUrl = $facebook->getLogoutUrl();
} else {
  $loginUrl = $facebook->getLoginUrl(array(
    'req_perms' => 'user_location,publish_stream',
  ));
}

?>
<!DOCTYPE html>
<html>
  <head>
    <title>Example 4</title>
  </head>
  <body>
    <h1>Welcome to my Guestbook</h1>
    <?php if ($me): ?>
    <a href="<?php echo $logoutUrl; ?>">Logout</a>
    <?php else: ?>
    <a href="<?php echo $loginUrl; ?>">Login</a>
    <?php endif ?>

    <?php if ($me): ?>

    <h3>You</h3>
    <img src="https://graph.facebook.com/<?php echo $uid; ?>/picture">
    <?php echo $me['name']; ?>

    <?php
    echo "lives in ".$me['location']['name']."!";

    if ($me && isset($_POST['message'])) {
      try {
        $result = $facebook->api('/'.$uid.'/feed', 'post', array(
          'message' => $_POST['message'],
        ));
        echo "<p>Success!</p>";
      } catch (FacebookApiException $e) {
        echo "<p>Oops! An error occurred: ".$e."</p>";
      }
    }
    ?>

    <form method="post" action="example3.php">
    <input type="text" name="message" size="64" />
    <input type="submit" value="Greet the world" />
    </form>

    <h3>Previous messages</h3>
    <table>
    <?php
    // Hand-waving
    $data = $posts_data_from_database;

    foreach ($data as $row) {
      echo '<tr><td><img src="https://graph.facebook.com/'.$row['id'].'/picture" /></td>';
      echo '<td><b>'.$row['name'].'</b><br/>'.$row['message'].'</td></tr>';
    }
    ?>
    </table>

<?php else: ?>
    <strong><em>You are not Connected.</em></strong>
    <?php endif ?>
  </body>
</html>
